groovy.json.internal

## Enum Type

- java.lang.Object
- - java.lang.Enum<Type>
  - - groovy.json.internal.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Type>

      public enum Type
      extends java.lang.Enum<Type>

  Author:
    Richard Hightower

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOUBLE`
    `FALSE`
    `INTEGER`
    `LIST`
    `MAP`
    `NULL`
    `STRING`
    `TRUE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER

          public static final Type INTEGER

    - #### STRING

          public static final Type STRING

    - #### DOUBLE

          public static final Type DOUBLE

    - #### TRUE

          public static final Type TRUE

    - #### FALSE

          public static final Type FALSE

    - #### NULL

          public static final Type NULL

    - #### MAP

          public static final Type MAP

    - #### LIST

          public static final Type LIST

  - ### Method Detail

    - #### values

          public static Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Type c : Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null